loop_le
Prev | Orchestra Opcodes and Operators | Next

## loop_le

loop_le — Looping constructions.

## Description

Construction of looping operations.

## Syntax

    loop_le   indx, incr, imax, label

    loop_le   kndx, kncr, kmax, label

## Initialization

indx -- i-rate variable to count loop.

incr -- value to increment the loop.

imax -- maximum value of loop index.

## Performance

kndx -- k-rate variable to count loop.

kncr -- value to increment the loop.

kmax -- maximum value of loop index.

The actions of loop_le are equivalent to the code

             indx  =  indx + incr
             if (indx <= imax) igoto label

or

             kndx  =  kndx + kncr
             if (kndx <= kmax) kgoto label

## See Also

loop_ge, loop_gt and loop_lt.

## Credits

Istvan Varga.

Prev | Up | Next
loop_gt | Home | loop_lt